Subject: [Perc] WGLC for draft-ietf-perc-dtls-tunnel

From: Suhas Nandakumar <[email-masked]>
Date: Thu, 1 Apr 2021 13:44:14 -0700

Hello All

We totally missed on finishing one last Informational WG document :
"DTLS Tunnel between a Media Distributor and Key Distributor to
Facilitate Key Exchange"

This is an announcement for the WGLC for the same, the document is
available for inspection here:

https://datatracker.ietf.org/doc/html/draft-ietf-perc-dtls-tunnel-07

Please help review the document and send your comments by  *April 16, 2021*.

Please Note there are IPR declaration at
https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-perc-dtls-tunnel
<https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-perc-dtls-tunnel”>

Suhas Nandakumar

For the Chairs

---

From: Russ Housley <[email-masked]>
Date: Mon, 19 Apr 2021 14:19:17 -0400

Section 2: Your reference to BCP 14 does not include "NOT RECOMMENDED". Please use:

   The key words "MUST", "MUST NOT", "REQUIRED", "SHALL", "SHALL NOT",
   "SHOULD", "SHOULD NOT", "RECOMMENDED", "NOT RECOMMENDED", "MAY", and
   "OPTIONAL" in this document are to be interpreted as described in
   BCP 14 [RFC2119] [RFC8174] when, and only when, they appear in all
   capitals, as shown here.

Section 4: I do not know the meaning of "abbrev" in: "... inside abbrev "TunneledDtls" message."  Please clarify.

Section 5.3: Please reference Section 4.4 of [RFC4122] for random UUID creation.

Section 5.4 says: "The key distributor MUST correlate the certificate fingerprint ...".  What does correlate mean?  I was expecting a requirement for exact match?  What hash algorithm(s) are used for fingerprints?

Section 6.1: MKI is optional in RFC 3711.  What is carried in MediaKeys when there is no MKI present?

NITS:

The document uses "hop-by-hop" and "HBH" in many places.  Please pick one and use it everywhere.

Russ

> On Apr 1, 2021, at 4:44 PM, Suhas Nandakumar <[email-masked]> wrote:
> 
> Hello All
> We totally missed on finishing one last Informational WG document : "DTLS Tunnel between a Media Distributor and Key Distributor to Facilitate Key Exchange"
> This is an announcement for the WGLC for the same, the document is available for inspection here:
> https://datatracker.ietf.org/doc/html/draft-ietf-perc-dtls-tunnel-07 <https://datatracker.ietf.org/doc/html/draft-ietf-perc-dtls-tunnel-07>
> 
> Please help review the document and send your comments by  April 16, 2021.
> 
> Please Note there are IPR declaration at https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-perc-dtls-tunnel <https://datatracker.ietf.org/ipr/search/?submit=draft&id=draft-ietf-perc-dtls-tunnel%E2%80%9D>
> 
> Suhas Nandakumar
> For the Chairs

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 26 Apr 2021 17:26:35 -0600

This document is easy to understand and very detailed. I think it is ready for publication. 

There are a few small changes I would recommend:

1. The way SDP is used, I think RFC 4566 needs to be a normative reference ( it is currently an informative reference )

2. I would sugest that the IANA section say that the update procedure for the table is "IETF Review" as defined in RFC 8126. (and add normative ref). This is not much of a change from what is there but I think it makes it more concrete and clear. 

3. In section 5.1 when talking about the tls-id, the document should include a normative reference to RFC 8842